Bug 974121 - An option in repo uploads erratum has a typo
Summary: An option in repo uploads erratum has a typo
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support   
(Show other bugs)
Version: 2.2 Beta
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.3.0
Assignee: nobody nobody
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 13:10 UTC by Jeremy Cline
Modified: 2013-12-09 14:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 14:31:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Cline 2013-06-13 13:10:43 UTC
Description of problem: 'pulp-admin rpm repo uploads erratum' has an option, --erratum_id, which I believe should be --erratum-id so that it is consistent with all other two word options in the CLI.


Version-Release number of selected component (if applicable): pulp-rpm-admin-extensions-2.2.0-0.3.beta.fc18.noarch


How reproducible: Always


Steps to Reproduce:
1. pulp-admin rpm repo uploads erratum


Actual results:
Available Arguments:

  --repo-id           - (required) unique identifier; only alphanumeric, ., -,
                        and _ allowed
  -v                  - display extra information about the upload process
  --erratum_id, -i    - (required) id of the erratum to create
...

Expected results:
Available Arguments:

  --repo-id           - (required) unique identifier; only alphanumeric, ., -,
                        and _ allowed
  -v                  - display extra information about the upload process
  --erratum-id, -i    - (required) id of the erratum to create


Additional info:

Comment 1 Jeremy Cline 2013-06-20 20:06:53 UTC
https://github.com/pulp/pulp_rpm/pull/260

Comment 4 Jeff Ortel 2013-09-12 22:36:09 UTC
build: 2.3.0-0.10.alpha

Comment 5 Preethi Thomas 2013-09-19 20:16:13 UTC
verified
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.14.alpha.el6.noarch
[root@pulp-v2-server ~]# 

root@pulp-v2-server ~]#  pulp-admin rpm repo uploads erratum
Command: erratum
Description: creates a new erratum

Available Arguments:

  --repo-id           - (required) unique identifier; only alphanumeric, ., -,
                        and _ allowed
  -v                  - display extra information about the upload process
  --erratum-id, -i    - (required) id of the erratum to create
  --title, -n         - (required) title of the erratum
  --description, -d   - (required) description of the erratum

Comment 6 Preethi Thomas 2013-12-09 14:31:56 UTC
Pulp 2.3 released.


Note You need to log in before you can comment on or make changes to this bug.